extends Node3D

var count = 0
# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.

func _physics_process(delta):
	# get the current physics state
	# get the viewport mouse pos
	var mousePos = get_viewport().get_mouse_position()
#	print(mousePos)
	# define the start of the ray
	
	var rayOrigin = $Camera.project_ray_origin(Vector2(mousePos.x, mousePos.y))
	
	# define end of the ray, heading into the screen by taking the normal direction
	# and multiplying that out by 2000 units
	var rayEnd = rayOrigin + $Camera.project_ray_normal(mousePos) * 2000
	var spaceState = get_world_3d().direct_space_state
	var intersection = spaceState.intersect_ray(rayOrigin, rayEnd)
#	print("ray end: ", rayEnd)
	if count == 0:
		print(intersection, get_world_3d().space.get_id())
		count += 1
	if intersection:
		var position = intersection.get("position")
		print(position)
	
#	print(intersection)
# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass
